| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::Gamma Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Gamma:

[legend]
Collaboration diagram for Rndm::Gamma:

[legend]
List of all members.

## Detailed Description

Parameters for the Gamma distributed random number generation.

Definition at line 190 of file RndmGenerators.h.

## Public Member Functions
| Gamma (double k, double l)
| Standard Constructor.
virtual | ~Gamma ()
| Standard Destructor.
double | kValue () const
| Access K parameter.
double | lambda () const
| Access Lambda parameter.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_kValue
| k Value
double | m_lambda
| Lambda parameter.
## Friends
class | Generator< Gamma >

## Constructor & Destructor Documentation

Rndm::Gamma::Gamma | ( | double | k,
|  | double | l |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 199 of file RndmGenerators.h.

Referenced by clone().

    00200     : IRndmGen::Param(IID_IRndmGamma), m_kValue(k), m_lambda(l) { }

virtual Rndm::Gamma::~Gamma | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 202 of file RndmGenerators.h.

    00202 {  }

## Member Function Documentation

double Rndm::Gamma::kValue | ( |  | ) | const`[inline]`

Access K parameter.

Definition at line 204 of file RndmGenerators.h.

References m_kValue.

    00204 { return m_kValue;              }

double Rndm::Gamma::lambda | ( |  | ) | const`[inline]`

Access Lambda parameter.

Definition at line 206 of file RndmGenerators.h.

References m_lambda.

    00206 { return m_lambda;              }

static const InterfaceID& Rndm::Gamma::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 208 of file RndmGenerators.h.

References IID_IRndmGamma.

    00208 { return IID_IRndmGamma;        }

virtual IRndmGen::Param* Rndm::Gamma::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 210 of file RndmGenerators.h.

References Gamma(), m_kValue, and m_lambda.

    00210                                             {
    00211       return new Gamma(m_kValue, m_lambda);
    00212     }

## Friends And Related Function Documentation

friend class Generator< Gamma >`[friend]`

Definition at line 191 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::Gamma::m_kValue`[protected]`

k Value

Definition at line 194 of file RndmGenerators.h.

Referenced by clone(), and kValue().

double Rndm::Gamma::m_lambda`[protected]`

Lambda parameter.

Definition at line 196 of file RndmGenerators.h.

Referenced by clone(), and lambda().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h